> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all API keys

> Get all cosigner paired API keys (paginated).
**Note:** These endpoints are currently in beta and might be subject to changes.
Endpoint Permission: Admin and Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /cosigners/{cosignerId}/api_keys
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /cosigners/{cosignerId}/api_keys:
    get:
      tags:
        - Cosigners (Beta)
      summary: Get all API keys
      description: >-
        Get all cosigner paired API keys (paginated).

        **Note:** These endpoints are currently in beta and might be subject to
        changes.

        Endpoint Permission: Admin and Non-Signing Admin.
      operationId: getApiKeys
      parameters:
        - name: cosignerId
          required: true
          in: path
          description: The unique identifier of the cosigner
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          schema:
            type: string
            format: uuid
        - name: order
          required: false
          in: query
          description: ASC / DESC ordering (default DESC)
          example: ASC
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
        - in: query
          name: pageCursor
          required: false
          description: Cursor of the required page
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Maximum number of items in the page
          example: 10
          schema:
            minimum: 1
            maximum: 100
            default: 10
            type: number
      responses:
        '200':
          description: A paginated response containing ApiKey objects
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeysPaginatedResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ApiKeysPaginatedResponse>> =
            fireblocks.cosignersBeta.getApiKeys(cosignersBetaApiGetApiKeysRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ApiKeysPaginatedResponse>> response =
            fireblocks.cosignersBeta().getApiKeys(cosignerId, order, pageCursor,
            pageSize);
        - lang: Python
          source: >-
            response = fireblocks.cosigners_beta.get_api_keys(cosigner_id,
            order, page_cursor, page_size);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ApiKeysPaginatedResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/ApiKey'
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    ApiKey:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the API key
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          format: uuid
        lastSeen:
          format: date-time
          type: string
          description: The date the API key was last seen
          example: '2021-07-01T00:00:00.000Z'
        callbackHandler:
          $ref: '#/components/schemas/CallbackHandler'
      required:
        - id
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    CallbackHandler:
      type: object
      properties:
        url:
          type: string
          description: The callback handler's URL
          example: https://example.com/callback-handler
        publicKey:
          type: string
          description: The callback handler's public key
          example: |-
            -----BEGIN PUBLIC KEY-----
            ... truncated ...
            -----END PUBLIC KEY-----
        certPublicKeyHash:
          type: string
          description: >-
            A hashed representation of the public key of the callback handler's
            certificate
      required:
        - url
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````